Subject: can read/write to mprotect(PROT_NONE) region with 2.6.14 on au1550

From: Clem Taylor <[email-masked]>
Date: Wed, 7 Dec 2005 16:51:23 -0500

Hi,

I was trying to use mprotect(PROT_NONE) to help debug a problem, and
it seems that mprotect() isn't actually doing anything with my 2.6.14
linux-mips kernel on an au1550. Attached is a simple test program that
segfaults as expected on x86 (2.6.12), but does not segfault on mips
(2.6.14). I can both read and write PROT_NONE memory without problem,
which should result in a segfault. Originally, I was trying to
mprotect() a mmaped GFP_DMA region which wasn't working and then I
tried a simpler test that also wasn't working.

Shouldn't mprotect() work? Could I be missing a config option, or is
this just broken?

                               Thanks,
                               Clem Taylor